<?php

/**
* Clase Bean para Egreso
*
* @package Prj
* @subpackage EgresoBean
* @author Willy
* @version SVN: : EgresoBean.class.php,v 1.1 2009/05/21 19:58:56 william.taype Exp $
*/
class EgresoBean{

  protected $IdEgreso;
  protected $Descripcion;
  protected $Estado;
  protected $Eliminado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $FechaEliminado;
  protected $UsuarioEliminado;
  protected $TipoEgreso;
  protected $NoEditable;

  protected $Mensaje;
  protected $Error;

  public function getIdEgreso(){
    return $this->IdEgreso;
  }
  public function setIdEgreso($v){
    $this->IdEgreso = $v;
  }
  
  public function getTipoEgreso(){
    return $this->TipoEgreso;
  }
  public function setTipoEgreso($v){
    $this->TipoEgreso = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }
  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
  
  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }
  
  public function getNoEditable(){
    return $this->NoEditable;
  }
  public function setNoEditable($v){
    $this->NoEditable = $v;
  }

}